Bug 247614 - patch: make kdebase-workspace work on DragonFly BSD
Summary: patch: make kdebase-workspace work on DragonFly BSD
Status: RESOLVED FIXED
Alias: None
Product: ksysguard
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Other
: NOR normal (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-13 09:29 UTC by Alex Hornung
Modified: 2011-01-10 05:20 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.0


Attachments
patch to kdebase-workspace (1.61 KB, patch)
2010-08-13 09:29 UTC, Alex Hornung
Details
patch for ksysguard to build on DragonFly (11.45 KB, patch)
2010-12-15 16:22 UTC, Alex Hornung
Details
patch for ksysguard to build on DragonFly (11.45 KB, patch)
2010-12-15 16:23 UTC, Alex Hornung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Hornung 2010-08-13 09:29:05 UTC
Created attachment 50108 [details]
patch to kdebase-workspace

Version:           4.4 (using KDE 4.4.5) 
OS:                other

Attached is a patch that fixes ksysguard for DragonFly by checking the correct status fields for the process and lwp.

Reproducible: Always
Comment 1 Alex Hornung 2010-12-15 08:49:39 UTC
Please don't commit this yet; I'm reworking it so that dragonfly has its own processes_foo file.
Comment 2 Alex Hornung 2010-12-15 16:22:03 UTC
Created attachment 54587 [details]
patch for ksysguard to build on DragonFly

Ok, I have a proper solution now, separating the dragonfly implementation from the FreeBSD implementation. Please review and commit, if appropriate :)

Regards,
Alex
Comment 3 Alex Hornung 2010-12-15 16:23:06 UTC
Created attachment 54588 [details]
patch for ksysguard to build on DragonFly

Ok, I have a proper solution now, separating the dragonfly implementation from the FreeBSD implementation. Please review and commit, if appropriate :)

Regards,
Alex
Comment 4 peter 2011-01-09 00:43:49 UTC
Just wanted to comment that this compiles for me on DragonFly 2.9.
Comment 5 John Tapsell 2011-01-09 01:46:18 UTC
Sounds good - feel free to commit if you are able to, or ask someone else to commit please.  It's signed off by me.
Comment 6 Raphael Kubo da Costa 2011-01-09 02:37:56 UTC
I can apply the patch, however there's this bit in it about which I'd like some clarification: in processes_freebsd_p.cpp's readProcStat() this call was left

    ps->setSysTime(0);                                                                                                                                                                                                                                                      

which was not called in the FreeBSD code path before.

Was it intentional or can it be removed too?
Comment 7 Alex Hornung 2011-01-09 08:44:39 UTC
That was indeed accidental and is incorrect. Thanks for spotting it. If required, I can submit a new patch with that line removed, too.

Regards,
Alex
Comment 8 Raphael Kubo da Costa 2011-01-10 05:01:18 UTC
SVN commit 1213285 by rkcosta:

Add a process file for DragonFly BSD.

It should fix compilation on it, as well as provide meaningful stats
for it on ksysguard.

Original patch by Alex Hornung <alexh AT dragonflybsd DOT org> with
some minor style cleanups, thanks a lot!

BUG: 247614



 A             processes_dragonfly_p.cpp   [License: LGPL (v2+)]
 M  +2 -48     processes_freebsd_p.cpp  
 M  +3 -1      processes_local_p.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1213285
Comment 9 Raphael Kubo da Costa 2011-01-10 05:17:59 UTC
SVN commit 1213286 by rkcosta:

Backport r1213285.

Add a process file for DragonFly BSD.

It should fix compilation on it, as well as provide meaningful stats
for it on ksysguard.

Original patch by Alex Hornung <alexh AT dragonflybsd DOT org> with
some minor style cleanups, thanks a lot!

FIXED-IN: 4.6.0
CCBUG: 247614



 A             processes_dragonfly_p.cpp   [License: LGPL (v2+)]
 M  +2 -48     processes_freebsd_p.cpp  
 M  +3 -1      processes_local_p.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1213286